<br><br><br>
<div class="container">
  <h2><mat-icon aria-hidden="false">edit_calendar</mat-icon> MÓDULO DE CONSULTA DE HORAS TRABAJADAS</h2>
  <mat-divider></mat-divider><br>* Todos los campos son requeridos<br><br>

  <form novalidate [formGroup]="formulario" (ngSubmit)="onSubmit()" #f="ngForm">

    <mat-form-field hintLabel="Documento del técnico" appearance="fill">
      <mat-label>Ingrese su cédula</mat-label>
      <input matInput #input placeholder="EJ. CC123456" formControlName="idtecnico" required>
    </mat-form-field>

    <mat-form-field hintLabel="Nùmero de la semana" appearance="fill">
        <mat-label>Semana a consultar</mat-label>
        <input type="number" matInput #input placeholder="EJ. 14" formControlName="week" required>
    </mat-form-field>

    <br><br><br>
    <button mat-raised-button color="accent" type="submit" [disabled]="f.invalid"><mat-icon aria-hidden="false">search</mat-icon> Consultar</button>
  </form><br>
  <mat-divider></mat-divider>
  <br><br>
  <div *ngIf="workedHours">
    <h4>
      <strong>*NRO. DOCUMENTO: </strong>{{ workedHours.idtecnico }} <span></span>
      <strong>*NOMBRE: </strong>{{ workedHours.nombretecnico }}  <span></span>
      <strong>*SEMANA: </strong>{{ workedHours.week }}  <span></span>
      <strong>*RANGO DE FECHAS: </strong>ENTRE {{ workedHours.fechaInicial }} Y {{ workedHours.fechaFinal }} <span></span>
    </h4><br>
    <table [ngStyle]="{display: show}">
      <tbody>
        <tr>
          <th>NORMALES</th>
          <th>NOCTURNAS</th>
          <th>DOMINICALES</th>
          <th>NORMALES EXTRAS</th>
          <th>NOCTURNAS EXTRAS</th>
          <th>DOMINICALES EXTRAS</th>
        </tr>
        <tr>
          <td>{{ workedHours.normalHours | number : '.2-2' }}</td>
          <td>{{ workedHours.nightHours | number : '.2-2'  }}</td>
          <td>{{ workedHours.sundayHours | number : '.2-2'  }}</td>
          <td>{{ workedHours.normalExtraHours | number : '.2-2'  }}</td>
          <td>{{ workedHours.nightExtraHours | number : '.2-2'  }}</td>
          <td>{{ workedHours.sundayExtraHours | number : '.2-2'  }}</td>
        </tr>
      </tbody>
    </table>
  </div>


</div>


